qhull (2020.2-5) unstable; urgency=medium

  * Update my email address
  * Enable LTO build
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Fri, 01 Jul 2022 22:02:20 +0200

qhull (2020.2-4) unstable; urgency=medium

  * Recommend -dev package for the header symlinks (Closes: #988869)

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Aug 2021 21:49:17 +0200

qhull (2020.2-3) unstable; urgency=medium

  * New approach to filter libstdc++ symbols (should fix FTBFS on kfreebsd-*)
  * Add myself as uploader

 -- Timo Röhling <timo@gaussglocke.de>  Thu, 26 Nov 2020 23:59:26 +0100

qhull (2020.2-2) unstable; urgency=medium

  * Team upload.

  [ Jochen Sprickerhof ]
  * Drop ldconfig (not needed)

  [ Timo Röhling ]
  * Fix d/watch
  * Add new autopkgtest that verifies functionality

 -- Timo Röhling <timo@gaussglocke.de>  Thu, 12 Nov 2020 19:01:23 +0100

qhull (2020.2-1) unstable; urgency=medium

  * Team upload.

  [ Barak A. Pearlmutter ]
  * uscan version 4

  [ Timo Röhling ]
  * Rewrite manual pages in groff and update links
  * Mark autopkgtest as superficial
  * New upstream version 2020.2
  * Add warning to README.Debian that the non-reentrant libqhull
    is likely to be discontinued after the 8.0.x releases.

 -- Timo Röhling <timo@gaussglocke.de>  Wed, 11 Nov 2020 15:10:39 +0100

qhull (2020.1-2) unstable; urgency=medium

  * Team upload.
  * Transition to unstable.

  [ Timo Röhling ]
  * Bump to debhelper compat 13.
  * Debianize test failure message for libqhull_r
  * Disable RPATH completely to make build reproducible
  * Link qhull binaries against shared library

  [ Barak A. Pearlmutter ]
  * update maintainer email
  * use some dh13 facilities

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Fri, 19 Jun 2020 10:10:14 +0200

qhull (2020.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * New upstream SOVERSION 8.0

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Sat, 06 Jun 2020 15:58:21 +0200

qhull (2019.1-5) unstable; urgency=medium

  * Team upload.
  * Transition to unstable.

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Wed, 29 Apr 2020 10:15:52 +0200

qhull (2019.1-4) experimental; urgency=medium

  * Team upload.
  * Import upstream patch for pkg-config support
  * Add autopkgtest compile and link test
  * Fix issues with local documentation

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Mon, 20 Apr 2020 16:11:23 +0200

qhull (2019.1-3) experimental; urgency=medium

  * Team upload.
  * Fix arch-indep build
  * Disable RPATH at build time

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Fri, 10 Apr 2020 19:03:03 +0200

qhull (2019.1-2) experimental; urgency=medium

  * Team upload.
  * Use correct CMake build path for tests
  * Mark exported C++ STL symbols as optional
  * Build with LFS support

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Fri, 10 Apr 2020 13:50:23 +0200

qhull (2019.1-1) experimental; urgency=medium

  [ Barak A. Pearlmutter ]
  * Strip unusual field spacing from debian/control.
  * Bump debhelper from old 11 to 12.
  * New upstream version
  * Track minor upstream fix commits
  * Bump standards version
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * Turn post-release upstream fixes into proper patches
  * Ship qhullcpp as shared library (Closes: #925540)
  * Add R-R-R to debian/control
  * Fix unit tests and honor DEB_BUILD_OPTIONS
  * Fix reproducibility issue with assert() macros
  * Install all documentation to the recommended place
  * Fix privacy breach
  * Bump SONAME because of ABI breakage
  * Make copyright DEP5 conforming
  * Add .symbols files for all shared libraries
  * Properly export CMake targets

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 07 Apr 2020 23:02:09 +0100

qhull (2015.2-4) unstable; urgency=medium

  * Team upload.
  * Add missing Depends: libqhull-r7 (Closes: #883817)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Dec 2017 19:18:30 +0100

qhull (2015.2-3) unstable; urgency=medium

  * bump policy version
  * Add libqhull-r7 package (closes: #841168)
    thanks to Jochen Sprickerhof <jspricke@debian.org>

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 25 Nov 2017 23:44:11 +0000

qhull (2015.2-2) unstable; urgency=medium

  * bump to debhelper 10
  * bump policy version
  * spelling error quilt patch
  * harden

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 18 Jan 2017 13:33:24 +0000

qhull (2015.2-1) unstable; urgency=medium

  * New upstream release
  * Upstream fixes null stream tail chase (closes: #738339)
  * Swizzle doc pointer in man pages (closes: #784117)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 15 Feb 2016 00:46:15 +0000

qhull (2012.1-5) unstable; urgency=medium

  * add symbols file
  * silence lintian binary-file-built-without-LFS-support

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 30 Apr 2014 13:13:14 +0100

qhull (2012.1-4) unstable; urgency=medium

  * Add convenience link to #include <qhull/qhull.h> to simplify transition.

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 13 Feb 2014 11:09:12 +0000

qhull (2012.1-3) unstable; urgency=medium

  * Simplify man page patch.
  * Support multi-arch.

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 13 Feb 2014 08:54:29 +0000

qhull (2012.1-2) unstable; urgency=medium

  * Build dependency on cmake is needed.
  * Remove ancient install-time scripts related to /usr/doc/ transition.
  * Create backwards-compatibility links in /usr/include/qhull/.

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 08 Feb 2014 22:45:45 +0000

qhull (2012.1-1) unstable; urgency=low

  * New upstream release (closes: #621909)
    - Port quilt patches to new upstream.
    - Upstream now supports cmake: use it instead of autotools.
      - This should address the binutils-gold issue (closes: #556302)
      - Ditto for undefined reference to pow@@GLIBC_2.2.5 (closes: #713546)
    - Upstream incremented to libqhull.so.6 so switch to libqhull6
      - Remove symbols file
    - Update many paths to account for upstream changes.
      - upstream installs .htm files intermingled with .h file in /usr/include,
        move the .htm to /usr/share/doc with symlinks for the .h files as they
        are referred to from the .htm files.  (These will be missing if the -doc
        package is installed without the -dev package, but it hardly seems worth
        adding a dependency.)
  * Add myself as uploader in debian/control (closes: #571875)
  * Fix wx include __POWERPC__ issue (closes: #640432)
  * Update/modify debian packaging
    - Switch to dh9 in debian/rules; flush cdbs.
    - Bump standards version
    - Various simplifications allowed by modern dh.
    - Move all dev docs to -doc; remove contrary stanza in README.Debian.
    - Activate single-debian-patch source option; see git for patch breakdown.
    - Gentler preinst /usr/share/doc/libqhull-dev symlink excision, and add
      preinst to similarly excise any /usr/share/doc/qhull-bin symlink.
    - Mash installed debian/tmp into shape ourselves.
  * Add quilt patches for minor issues: spelling, man page bug
  * Put Debian TODO file in -doc package

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 06 Feb 2014 13:43:21 +0000

qhull (2009.1-3) unstable; urgency=low

  * Team upload.
  * Add fix-FTBFS-643461-format-security.patch patch.
    Fix format-security compiler warnings.
    Thanks to peter green <plugwash@p10link.net> for the patch (Closes: #643461)
  * Drop quilt framework.
    Explicit dependencies on quilt is not needed as we use '3.0 (quilt)'
    source package format.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 23 Nov 2011 09:03:46 +0100

qhull (2009.1-2) unstable; urgency=low

  * Team upload
  * Standards-Version updated to 3.9.2
  * Switch to dpkg-source 3.0 (quilt) format
  * Package moved into the debian science team
  * Fix the FTBFS with binutils-gold. Thanks to Iain Lane for providing the
    patch (Closes: #556302)
  * .la file is no longer installed

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 03 Aug 2011 09:50:39 +0200

qhull (2009.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches/modern-autotools.patch: Drop patch (this new upstream
    release was generated with modern versions of the Autotools)
  * debian/patches/manpage-macros.patch: Drop patch (applied upstream)
  * debian/source.lintian-overrides: Drop obsolete override for Lintian
    warning ancient-libtool
  * debian/rules:
    + Use DEB_MAKE_CHECK_TARGET to run the unit tests through the check
      rule in debian/rules
    + Avoid running twice the build/qhull-bin rule (via a build-stamp
      file)
  * debian/clean: Remove build-stamp
  * debian/watch: Fix URL and regex for upstream tarball

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 14 Jun 2009 16:46:41 +0200

qhull (2003.1-12) unstable; urgency=low

  * debian/patches/modern-autotools.patch: Jumbo patch for updating the
    autotools-generated files with modern ones
  * debian/source.lintian-overrides:
    + Drop obsolete Lintian overrides outdated-autotools-helper-file
    + Add override for ancient-libtool, since file config/ltmain.sh is
      replaced by a modern one in the patch above
  * debian/control:
    + The Debian packaging files are now maintained through a Git
      repository at alioth.debian.org.  Switch the Vcs-* URLs to Git,
      accordingly.
    + Bump Standards-Version to 3.8.1 (add file README.source explaining
      the quilt patchsys, as mandated by the Policy)
    + Add ${misc:Depends} to all packages
    + Drop Section field of the qhull-bin package, which is redundant with
      the Section of the Source package
    + Build-Depend on autotools-dev, this is necessary for proper
      treatment of files config.{guess,sub} by CDBS
  * Add descriptions to all patches
  * debian/libqhull5.symbols: Add shared library symbols file
  * debian/libqhull-doc.lintian-overrides: Add comment

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 30 Apr 2009 13:08:22 +0200

qhull (2003.1-11) unstable; urgency=low

  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 14 Aug 2008 13:26:11 +0200

qhull (2003.1-9lenny1) testing-proposed-updates; urgency=low

  * debian/rules: Use sed instead of eperl to generate the man pages.
    Eperl is buggy on hppa (see Bug#494191) and the package FTBFS there.
    (Closes: #494461)
  * debian/manpage.in: Adapt for using sed
  * debian.control:
    + Drop build-dependency on eperl
    + Build-depends on docbook-xml.  This avoid timeouts due to the failed
    attempt to load the external entity docbookx.dtd (needed for the
    Debian-provided man pages) when network connection is not available.
    + Bump Standards-Version to 3.8.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 14 Aug 2008 10:43:24 +0200

qhull (2003.1-10lenny1) unstable; urgency=low

  * debian/control: Build-depends on docbook-xml.  This avoid FTBFS due to
    the failed attempt to load the external entity docbookx.dtd (needed for
    the Debian-provided man pages) when network connection is not available
    (closes: #493456).

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 02 Aug 2008 22:00:22 +0200


qhull (2003.1-10) unstable; urgency=low

  * Create new package libqhull-doc containing the HTML documentation for
    Qhull.  This avoids a Lintian message saying that the arch-dependent
    package libqhull-dev has a big /usr/share directory.
  * debian/copyright: Clarify licensing conditions for the Debian
    packaging files
  * Bump Standards-Version to 3.8.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 27 Jun 2008 19:30:35 +0200

qhull (2003.1-9) unstable; urgency=low

  * debian/manpage.in:
    + Fix spacing in <ulink> tag
    + Remove brackets from email address
  * debian/README.Debian: Fixed path of documentation and examples files.
    Also, mention that these files are available in the libqhull-dev
    package.  Thanks to Jaap Weel for pointing this bug out.
  * debian/rules: Switch from CDBS' simple-patchsys to quilt
  * debian/control:
    + Build-depend on quilt
    + Fix URL of Vcs-Svn field
    + Add ${shlibs:Depends} to qhull-bin Depends
  * debian/libqhull-dev.doc-base: Changed section of documentation to
    Science/Mathematics
  * debian/patches/manpage-macros.patch: Add patch for fixing several
    syntax, macros, and hyphen problems in man pages qhull.man and rbox.man

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 19 Apr 2008 20:37:42 +0200

qhull (2003.1-8) unstable; urgency=low

  * debian/control:
    + Use the substitution variable ${binary:Version} instead of the
      deprecated ${Source-Version}
    + Added Homepage field
    + Use the now official Vcs-* fields instead of the obsolete XS-Vcs-*
    + Dropped the Homepage pseudo-header for the extended descriptions
    + Bumped Standards-Version to 3.7.3
  * debian/rules:
    + Include the -fno-strict-aliasing option into CFLAGS, otherwise the
      qhull library does not work correctly.  This has to do with some
      change in the toolchain (gcc 4.1.* series).
    + Call the test suite after building the qhull-bin package
    + Removed bashism in the install/libqhull-dev rule

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 14 Dec 2007 10:48:45 +0100

qhull (2003.1-7) unstable; urgency=low

  * debian/control: Tighten build-dependency on docbook2x >= 0.8.8-3,
    since the previous version (0.8.8-2) was not installable and some
    autobuilders failed to build the package

 -- Rafael Laboissiere <rafael@debian.org>  Thu,  7 Jun 2007 14:21:06 +0200

qhull (2003.1-6) unstable; urgency=low

  * debian/control: Build-Depends on xsltproc (really closes: #419568)
  * debian/rules: Echo progression when building the man pages

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 17 Apr 2007 09:46:22 +0200

qhull (2003.1-5) unstable; urgency=low

  * debian/control: Build-depends on docbook2x >= 0.8.8-2 because previous
    versions cause the package to FTBFS (closes: #419568)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 16 Apr 2007 22:43:30 +0200

qhull (2003.1-4) unstable; urgency=low

  * debian/libqhull-dev.doc-base: Put the HTML document in Apps/Math
    section
  * debian/libqhull-dev.lintian: Added Lintian override file
  * debian/control: Lowercase first word in the package descriptions

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 15 Apr 2007 14:54:33 +0200

qhull (2003.1-3) unstable; urgency=low

  * debian/control:
    + Changed maintainer to Debian Scientific Computing Team
    + Added my name to the Uploaders list
    + Added XS-Vcs-Svn and XS-Vcs-Browser fields
    + Upgraded build-dependency on debhelper to >= 5
    + Added build-dependency to cdbs and dropped dpatch
  * debian/compat: New file
  * debian/manpage.in: Fixed directory for URL links
  * debian/source.lintian-overrides:  Add a lintian override for
    outdated-autotools-helper-file, since we patch this via CDBS'
    autotools.mk
  * debian/libqhull-dev.preinst: Remove symlink /usr/share/doc/libqhull-dev
    which may cause problem in upgrading the package
  * debian/libqhull-dev.examples: Install examples
  * debian/rules:
    + Switched to CDBS
    + Install source.lintian-overrides

 -- Rafael Laboissiere <rafael@debian.org>  Mon,  2 Apr 2007 00:45:20 +0200

qhull (2003.1-2) unstable; urgency=low

  * debian/control:
    - Bumped Standards-Version to 3.7.2 (no chnages needed)
    - Fixed typo in the libqhull5 long description
    - Build-Depends on docbook2x instead of docbook-utils
  * debian/watch: Added file
  * debian/rules: Use docbook2x-man instead of docbook2man to produce the
    man pages
  * debian/manpage.in:
    - Converted to XML
    - Added "See Also" section (added the name of the HTML file contianing
      the full documentation)
    - Improved "Authors" section (added the names of the upstream authors)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 27 Jun 2006 10:28:17 +0200

qhull (2003.1-1) unstable; urgency=low

  * New upstream release.  There are backward incompatibilities in the code
    and the soversion was bumped to libqhull5.
  * debian/rules:
    - Major rewrite of build and install rules, since we are using now the
      upstream tarball generated with "make dist".
    - Added config rule.
    - Use dpatch to patch src/user.h (enable qh_QHpointer).
  * debian/control:
    - Removed build-dependencies on autoconf, automake, and libtool.
    - Build-depends on dpatch.
    - Changed section of libqhull-dev package to libdevel.
  * debian/libqhull-dev.files: Added usr/share/doc/libqhull5/src
    directory.

 -- Rafael Laboissiere <rafael@debian.org>  Sun,  1 Feb 2004 01:14:13 +0100

qhull (2002.1-4) unstable; urgency=low

  * src/Make-config.sh: Patched upstream file for proper initialization of
    the Autotools.
  * debian/install-src-html.sh: Added script for including src/*.htm
    source documentation files into html doc dir.
  * debian/control:
    - Bumped Standards-Version to 3.6.1 (no changes needed).
    - Changed build-dependencies to autoconf and automake1.7 (instead of
      autoconf2.13 and automake1.6).  Added eperl.
  * debian/libqhull-dev.files: Added dir usr/share/doc/libqhull4/src.
  * debian/manpage.in: Added template for missing man pages.
  * debian/rules:
    - Call debian/install-src-html.sh.
    - Generate manpages for qconvex, qdelaunay, qhalf, and qvoronoi
      commands. Lintian is happy now.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 18 Dec 2003 21:20:14 +0100

qhull (2002.1-3) unstable; urgency=low

  * New maintainer (as per http://lists.debian.org/debian-devel/1999
    /debian-devel-199911/msg01061.html).
  * debian/rules: Use the upstream script Make-config.sh, which sets up
    the autoconf/automake/libtool files.  Also, clean up all the generated
    files in the clean rule.
  * debian/control: Bumped Standards-Version to 3.5.7.  Added
    Build-Dependencies to autoconf/automake/libtool.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 25 Sep 2002 10:39:30 +0200

qhull (2002.1-2) unstable; urgency=low

  * use shared char* qh_version in library

 -- Barak Pearlmutter <bap@cs.unm.edu>  Sat,  7 Sep 2002 10:34:13 -0600

qhull (2002.1-1) unstable; urgency=low

  * new upstream source

 -- Barak Pearlmutter <bap@cs.unm.edu>  Thu,  5 Sep 2002 20:51:10 -0600

qhull (3.1-5) unstable; urgency=low

  * rephrase descriptions (closes: #141027)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Thu, 11 Apr 2002 22:12:33 -0600

qhull (3.1-4) unstable; urgency=low

  * include executables qconvex, qhalf, qvoronoi, qdelaunay
  * break executables out into separate package qhull-bin

 -- Barak Pearlmutter <bap@cs.unm.edu>  Wed, 27 Mar 2002 20:26:44 -0700

qhull (3.1-3) unstable; urgency=low

  * rename executable qhull-rbox back to rbox

 -- Barak Pearlmutter <bap@cs.unm.edu>  Mon, 25 Mar 2002 09:13:57 -0700

qhull (3.1-2) unstable; urgency=low

  * src/qconvex.c did not belong in the library
  * qh_version was multiply defined, now defined only in qhull.c

 -- Barak Pearlmutter <bap@cs.unm.edu>  Mon, 25 Mar 2002 08:55:45 -0700

qhull (3.1-1) unstable; urgency=low

  * Initial Release.  (closes: #108115)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Sun, 24 Mar 2002 21:53:13 -0700
